Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AbstractTableRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.AbstractRowsRenderer
                      org.richfaces.renderkit.AbstractTableRenderer

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  DataTableRenderer, SubTableRenderer

    public abstract class AbstractTableRenderer

extends AbstractRowsRenderer

Author:
  shura

Field Summary
`protected static java.lang.String` | `PERSENTAGE_SUPPORT_ERROR_MSG` Encode all table structure - colgroups definitions, caption, header, footer

Fields inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`CELL_CLASS_KEY, ROW_CLASS_KEY, SKIN_CELL_CLASS_KEY, SKIN_FIRST_ROW_CLASS_KEY, SKIN_ROW_CLASS_KEY, TABLE_EVENT_ATTRS`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`AbstractTableRenderer()`

Method Summary
`protected int` | `calculateRowColumns(java.util.Iterator col)` Calculate max number of columns per row.
`protected java.util.Iterator` | `columnFacets(UIDataTable table, java.lang.String name)`
`void` | `encodeFooter(javax.faces.context.FacesContext context, UIDataTable table, int columns)`
`void` | `encodeHeader(javax.faces.context.FacesContext context, UIDataTable table, int columns)`
`protected void` | `encodeHeaderFacets(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, java.util.Iterator headers, java.lang.String skinCellClass, java.lang.String headerClass, java.lang.String facetName, java.lang.String element)`
`void` | `encodeOneRow(javax.faces.context.FacesContext context, TableHolder holder)`
`protected void` | `encodeRowStart(javax.faces.context.FacesContext context, java.lang.String skinClass, java.lang.String rowClass, UIDataTable table, javax.faces.context.ResponseWriter writer)`
`protected void` | `encodeRowStart(javax.faces.context.FacesContext context, java.lang.String rowClass, UIDataTable table, javax.faces.context.ResponseWriter writer)`
`void` | `encodeTableStructure(javax.faces.context.FacesContext context, UIDataTable table)`
`boolean` | `findFacet(UIDataTable table, java.lang.String facetName)`
`protected java.lang.String` | `getCellSkinClass()`
`protected int` | `getColumnsCount(UIDataTable table)` Calculate total number of columns in table.
`protected java.lang.String` | `getFirstRowSkinClass()`
`protected java.lang.String` | `getRowSkinClass()`

Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`doCleanup, encodeCaption, encodeCellChildren, encodeChildren, encodeRowEvents, encodeRows, encodeStyle, encodeStyleClass, encodeTableHeaderFacet, getRendersChildren, process`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERSENTAGE_SUPPORT_ERROR_MSG

    protected static final java.lang.String PERSENTAGE_SUPPORT_ERROR_MSG

  Encode all table structure - colgroups definitions, caption, header, footer

  See Also:
    Constant Field Values

Constructor Detail

### AbstractTableRenderer

    public AbstractTableRenderer()

Method Detail

### encodeTableStructure

    public void encodeTableStructure(javax.faces.context.FacesContext context,
                                     UIDataTable table)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeHeader

    public void encodeHeader(javax.faces.context.FacesContext context,
                             UIDataTable table,
                             int columns)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### findFacet

    public boolean findFacet(UIDataTable table,
                             java.lang.String facetName)

### encodeHeaderFacets

    protected void encodeHeaderFacets(javax.faces.context.FacesContext context,
                                      javax.faces.context.ResponseWriter writer,
                                      java.util.Iterator headers,
                                      java.lang.String skinCellClass,
                                      java.lang.String headerClass,
                                      java.lang.String facetName,
                                      java.lang.String element)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeFooter

    public void encodeFooter(javax.faces.context.FacesContext context,
                             UIDataTable table,
                             int columns)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeOneRow

    public void encodeOneRow(javax.faces.context.FacesContext context,
                             TableHolder holder)
                      throws java.io.IOException

  Specified by:
    `encodeOneRow` in class `AbstractRowsRenderer`
  Throws:
    `java.io.IOException`

### encodeRowStart

    protected void encodeRowStart(javax.faces.context.FacesContext context,
                                  java.lang.String rowClass,
                                  UIDataTable table,
                                  javax.faces.context.ResponseWriter writer)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRowSkinClass

    protected java.lang.String getRowSkinClass()

  Returns:

### getFirstRowSkinClass

    protected java.lang.String getFirstRowSkinClass()

  Returns:

### getCellSkinClass

    protected java.lang.String getCellSkinClass()

  Returns:

### encodeRowStart

    protected void encodeRowStart(javax.faces.context.FacesContext context,
                                  java.lang.String skinClass,
                                  java.lang.String rowClass,
                                  UIDataTable table,
                                  javax.faces.context.ResponseWriter writer)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### columnFacets

    protected java.util.Iterator columnFacets(UIDataTable table,
                                              java.lang.String name)

### getColumnsCount

    protected int getColumnsCount(UIDataTable table)

  Calculate total number of columns in table.

  Parameters:
    `context` -
    `table` -
  Returns:

### calculateRowColumns

    protected int calculateRowColumns(java.util.Iterator col)

  Calculate max number of columns per row. For rows, recursive calculate max length.

  Parameters:
    `col` - - Iterator other all columns in table.
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.